4.2.2.4. Центрирование объектов

Источник здесь. [перевод не проверен];[перевёл Андрей Бушман]

    Вы можете сместить изображение в окне чертежа путём изменения центральной точки вида воспользовавшись свойством CenterPoint (центральная точка). Когда центральная точка вида изменена (без изменения размеров самого вида) - происходит панорамирование вида параллельно экрану. Для информации по изменению размеров изображения в окне чертежа читайте Масштабирование вида.

Зуммирование в активном чертеже согласно указанной центральной точке

    Пример этого кода демонстрирует как изменить центральную точку текущего вида посредством процедуры Zoom определённой под Манипуляцией Текущим Видом. Процедуре Zoom передаётся четыре значения. Два первых параметра определяют новую 3D точку и игнорируются в процедуре. Третий параметр (5,5,0) является центральной точкой вида. Четвёртый параметр (1) - масштабный коэффициент текущего вида. Масштабный коэффициент равный 1 указывает на то, что размер текущего вида должен сохраняться.

Код VB.NET

   1:  <CommandMethod("ZoomCenter")> _
   2:  Public Sub ZoomCenter()
   3:    '' Центральная точка вида имеет координаты 5,5,0
   4:    Zoom(New Point3d(), New Point3d(), New Point3d(5, 5, 0), 1)
   5:  End Sub

Код C#

   1:  [CommandMethod("ZoomCenter")]
   2:  static public void ZoomCenter()
   3:  {
   4:    // Центральная точка вида имеет координаты 5,5,0
   5:    Zoom(new Point3d(), new Point3d(), new Point3d(5, 5, 0), 1);
   6:  }

Код VBA / ActiveX

   1:  Sub ZoomCenter()
   2:      Dim Center(0 To 2) As Double
   3:      Dim magnification As Double
   4:      Center(0) = 5: Center(1) = 5: Center(2) = 0
   5:      magnification = 1
   6:      ThisDrawing.Application.ZoomCenter Center, magnification
   7:  End Sub

Comments